Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.dataquery
Interface IEssOpReport

All Superinterfaces:
  IEssBaseObject, IEssOperation

public interface IEssOpReport
extends IEssOperation

The IEssOpReport interface.

Nested Class Summary

Nested classes inherited from class com.essbase.api.dataquery.IEssOperation
`IEssOperation.EEssOperationType`

Method Summary
`java.lang.String` | `getReportSpecOrFileName()` Gets the report specification string (in the case where isReportSpec() returns true) or the report specification file name (in the case where isReportFileName() returns true).
`boolean` | `isLock()` Checks if to lock associated data blocks.
`boolean` | `isNoAttributes()` Checks if to obtain attributes for the resulting cell values.
`boolean` | `isNoParsing()` Checks if to parse the report output into grid values.
`boolean` | `isReportFileName()` Checks if this object holds a report file name.
`boolean` | `isReportSpec()` Checks if this object holds a report specification.
`boolean` | `isSyntaxCheckOnly()` Checks if to perform sytax check only.
`void` | `set(boolean syntaxCheckOnly, java.lang.String reportSpec, boolean lock)` Constructs a report operation.
`void` | `set(java.lang.String reportName, boolean syntaxCheckOnly, boolean lock)` Constructs a report operation.
`void` | `setNoAttributes(boolean noAttributes)` Sets if to obtain attributes for the resulting cell values.
`void` | `setNoParsing(boolean noParsing)` Sets if to parse the report output into grid values.

Methods inherited from interface com.essbase.api.dataquery.IEssOperation
`getOperationType`

Method Detail

### set

    public void set(java.lang.String reportName,
                    boolean syntaxCheckOnly,
                    boolean lock)
             throws EssException

  Constructs a report operation.

  Parameters:
    `reportName` - The name of report to run (without the extension). It should exist in the olap app\db directory on the OLAP server that this report will run on.
    `syntaxCheckOnly` - true, if to perform syntax check only. (FOR FUTURE USE)
    `lock` - true if to lock associated data blocks. (FOR FUTURE USE)
  Throws:
    `EssException` - if an error occurs.

### set

    public void set(boolean syntaxCheckOnly,
                    java.lang.String reportSpec,
                    boolean lock)
             throws EssException

  Constructs a report operation.

  Parameters:
    `syntaxCheckOnly` - true if to perform syntax check only. (FOR FUTURE USE)
    `lock` - true if to lock associated data blocks. (FOR FUTURE USE)
  Throws:
    `EssException` - if an error occurs.

### getReportSpecOrFileName

    public java.lang.String getReportSpecOrFileName()
                                             throws EssException

  Gets the report specification string (in the case where isReportSpec() returns true) or the report specification file name (in the case where isReportFileName() returns true).

  Returns:
    The report specification or file name.
  Throws:
    `EssException` - if an error occurs.

### isReportSpec

    public boolean isReportSpec()
                         throws EssException

  Checks if this object holds a report specification.

  Returns:
    true for report specification.
  Throws:
    `EssException` - if an error occurs.

### isReportFileName

    public boolean isReportFileName()
                             throws EssException

  Checks if this object holds a report file name.

  Returns:
    true for report file name.
  Throws:
    `EssException` - if an error occurs.

### isSyntaxCheckOnly

    public boolean isSyntaxCheckOnly()
                              throws EssException

  Checks if to perform sytax check only. (FOR FUTURE USE)

  Returns:
    true if to perform syntax check only.
  Throws:
    `EssException` - if an error occurs.

### isLock

    public boolean isLock()
                   throws EssException

  Checks if to lock associated data blocks. (FOR FUTURE USE)

  Returns:
    true if to lock associated data blocks.
  Throws:
    `EssException` - if an error occurs.

### isNoAttributes

    public boolean isNoAttributes()
                           throws EssException

  Checks if to obtain attributes for the resulting cell values.

  Returns:
    true to obtain attributes for the resulting cell values.
  Throws:
    `EssException` - if an error occurs.

### setNoAttributes

    public void setNoAttributes(boolean noAttributes)
                         throws EssException

  Sets if to obtain attributes for the resulting cell values. Default behavior is to obtain attributes for the resulting cell values.

  Parameters:
    `noAttributes` - true to obtain attributes for the resulting cell values.
  Throws:
    `EssException` - if an error occurs.

### isNoParsing

    public boolean isNoParsing()
                        throws EssException

  Checks if to parse the report output into grid values.

  Returns:
    true to not parse the report output into grid values.
  Throws:
    `EssException` - if an error occurs.

### setNoParsing

    public void setNoParsing(boolean noParsing)
                      throws EssException

  Sets if to parse the report output into grid values. The default behavior is that the report output is parsed.

  Parameters:
    `noParsing` - true to not parse the report output into grid values. Also, if you pass true to this parameter, you can get the unparsed output using IEssGridView.toString().
  Throws:
    `EssException` - if an error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD